export PASSWD=Maddiedog1!
	echo "MET INSTALLING"
	brew install wget
	brew install git
	brew install gcc@12
	brew install libtool
	brew install automake
	brew install autoconf
	brew install make
	brew install m4
	brew install java
	brew install ksh
	brew install mpich
	brew install grads
	brew install ksh
	brew install tcsh
	brew install snapcraft
	brew install python@3.10
	brew install cmake
	brew install xorgproto
	brew install xorgrgb
	brew install xauth
	brew install curl
	brew install flex
	brew install byacc
	brew install bison
	brew install gnu-sed

	pip3.10 install python-dateutil

	#Directory Listings
	mkdir $HOME/DTC_11.0.2
	export WRF_FOLDER=$HOME/DTC_11.0.2

	if [ "$WRFCHEM_PICK" = "1" ]; then
		mkdir $HOME/WRFCHEM
		export WRF_FOLDER=$HOME/WRFCHEM
	fi

	if [ "$WRFHYDRO_COUPLED_PICK" = "1" ]; then
		mkdir $HOME/WRFHYDRO_COUPLED
		export WRF_FOLDER=$HOME/WRFHYDRO_COUPLED
	fi

	if [ "$WRFHYDRO_STANDALONE_PICK" = "1" ]; then
		mkdir $HOME/WRFHYDRO_STANDALONE
		export WRF_FOLDER=$HOME/WRFHYDRO_STANDALONE
	fi

	if [ "$WRF_PICK" = "1" ]; then
		mkdir $HOME/WRF
		export WRF_FOLDER=$HOME/WRF
	fi

	if [ "$HWRF_PICK" = "1" ]; then
		mkdir $HOME/HWRF
		export WRF_FOLDER=$HOME/HWRF
	fi

	mkdir $WRF_FOLDER/MET-11.0.2
	mkdir $WRF_FOLDER/MET-11.0.2/Downloads
	mkdir $WRF_FOLDER/METplus-5.0.2
	mkdir $WRF_FOLDER/METplus-5.0.2/Downloads

	#Symlink to avoid clang conflicts with compilers
	#default gcc path /usr/bin/gcc
	#default homebrew path /usr/local/bin

	echo "Please enter password for linking GNU libraries"

	echo $PASSWD | sudo -S ln -sf /usr/local/bin/gcc-12 /usr/local/bin/gcc
	echo $PASSWD | sudo -S ln -sf /usr/local/bin/g++-12 /usr/local/bin/g++
	echo $PASSWD | sudo -S ln -sf /usr/local/bin/gfortran-12 /usr/local/bin/gfortran
	echo $PASSWD | sudo -S ln -sf /usr/local/bin/python3.10 /usr/local/bin/python3

	cd $WRF_FOLDER/MET-11.0.2/Downloads

	wget -c https://raw.githubusercontent.com/dtcenter/MET/bugfix_2596_main_v11.0_rpath_compilation/internal/scripts/installation/compile_MET_all.sh

	wget -c https://dtcenter.ucar.edu/dfiles/code/METplus/MET/installation/tar_files.tgz

	wget -c https://github.com/dtcenter/MET/archive/refs/tags/v11.0.2.tar.gz

	cp compile_MET_all.sh $WRF_FOLDER/MET-11.0.2
	tar -xvzf tar_files.tgz -C $WRF_FOLDER/MET-11.0.2
	cp v11.0.2.tar.gz $WRF_FOLDER/MET-11.0.2/tar_files
	cd $WRF_FOLDER/MET-11.0.2

	cd $WRF_FOLDER/MET-11.0.2

	export PYTHON_VERSION=$(python3 -V 2>1 | awk '{print $2}')
	export PYTHON_VERSION_MAJOR_VERSION=$(echo $PYTHON_VERSION | awk -F. '{print $1}')
	export PYTHON_VERSION_MINOR_VERSION=$(echo $PYTHON_VERSION | awk -F. '{print $2}')
	export PYTHON_VERSION_COMBINED=$PYTHON_VERSION_MAJOR_VERSION.$PYTHON_VERSION_MINOR_VERSION

	export CC=/usr/local/bin/gcc
	export CXX=/usr/local/bin/g++
	export CFLAGS="-fPIC -fPIE -O3 -Wno-implicit-function-declaration"
	export FC=/usr/local/bin/gfortran
	export F77=/usr/local/bin/gfortran
	export F90=/usr/local/bin/gfortran
	export gcc_version=$(gcc -dumpfullversion)
	export TEST_BASE=$WRF_FOLDER/MET-11.0.2
	export COMPILER=gnu_$gcc_version
	export MET_SUBDIR=${TEST_BASE}
	export MET_TARBALL=v11.0.2.tar.gz
	export USE_MODULES=FALSE
	export MET_PYTHON=/usr/local

	export MET_PYTHON_CC="$(python3.10-config --cflags --embed)"
	export MET_PYTHON_LD="$(python3.10-config --ldflags --embed) -L${MET_PYTHON}/lib -lpython${PYTHON_VERSION_COMBINED}"

	export SET_D64BIT=FALSE

	chmod 775 compile_MET_all.sh


	time ./compile_MET_all.sh 2>&1 | tee compile_MET_all.log

	export PATH=$WRF_FOLDER/MET-11.0.2/bin:$PATH

	mkdir $WRF_FOLDER/METplus-5.0.2
	mkdir $WRF_FOLDER/METplus-5.0.2/Sample_Data
	mkdir $WRF_FOLDER/METplus-5.0.2/Output
	mkdir $WRF_FOLDER/METplus-5.0.2/Downloads

	#Downloading METplus and untarring files

	cd $WRF_FOLDER/METplus-5.0.2/Downloads
	wget -c https://github.com/dtcenter/METplus/archive/refs/tags/v5.0.2.tar.gz
	tar -xvzf v5.0.2.tar.gz -C $WRF_FOLDER

	# Insatlllation of Model Evaluation Tools Plus
	cd $WRF_FOLDER/METplus-5.0.2/parm/metplus_config

	sed -i'' -e "s|MET_INSTALL_DIR = /path/to|MET_INSTALL_DIR = $WRF_FOLDER/MET-11.0.2|" defaults.conf
	sed -i'' -e "s|INPUT_BASE = /path/to|INPUT_BASE = $WRF_FOLDER/METplus-5.0.2/Sample_Data|" defaults.conf
	sed -i'' -e "s|OUTPUT_BASE = /path/to|OUTPUT_BASE = $WRF_FOLDER/METplus-5.0.2/Output|" defaults.conf

	# Downloading Sample Data

	cd $WRF_FOLDER/METplus-5.0.2/Downloads
	wget -c https://dtcenter.ucar.edu/dfiles/code/METplus/METplus_Data/v5.0/sample_data-met_tool_wrapper-5.0.tgz
	tar -xvzf sample_data-met_tool_wrapper-5.0.tgz -C $WRF_FOLDER/METplus-5.0.2/Sample_Data

	# Testing if installation of MET & METPlus was sucessfull
	# If you see in terminal "METplus has successfully finished running."
	# Then MET & METPLUS is sucessfully installed

	echo 'Testing MET & METPLUS Installation.'
	$WRF_FOLDER/METplus-5.0.2/ush/run_metplus.py -c $WRF_FOLDER/METplus-5.0.2/parm/use_cases/met_tool_wrapper/GridStat/GridStat.conf

	export PATH=$WRF_FOLDER/METplus-5.0.2/ush:$PATH
	read -r -t 5 -p "MET and METPLUS sucessfully installed with GNU compilers."
